local E, L, V, P, G, _ = unpack(ElvUI); --Inport: Engine, Locales, PrivateDB, ProfileDB, GlobalDB, Localize Underscore

loc_db = loc_db or {
-- Options
	['loc_enable'] = true,
	['loc_datatxt'] = true,
	['loc_both'] = true,
	['loc_combat'] = true,
	['loc_dig'] = true,
-- Tooltip
	['loc_tt'] = true,
	['loc_tthint'] = true,
	['loc_ttst'] = true,
	['loc_ttlvl'] = true,
	['loc_fish'] = true,
	['loc_ttinst'] = true,
	['loc_ttreczones'] = true,
	['loc_ttrecinst'] = true,
	['loc_tthideraid'] = false,
	['loc_tthidepvp'] = false,
-- Layout
	['loc_shadow'] = false,
	['loc_trans'] = false,
	['loc_ht'] = true,
	['lpx'] = E.screenwidth/2,
	['lpy'] = E.screenheight - 26,
	['dtwidth'] = 100,
	['dtheight'] = 20,
-- Font
	['lpfont'] = E.db.general.font,
	['lpfontsize'] = E.db.general.fontsize,
	['lpfontflags'] = "OUTLINE",
}

-- Options
E.Options.args.locplus = {
	order = 9000,
	type = 'group',
	name = L["- ElvUI LocationPlus"],
	args = {
		loc_name = {
			order = 1,
			type = "header",
			name = L["Location Plus "]..format("v|cff33ffff%s|r",ElvUI_Location.version)..L[" by Benik (EU-Emerald Dream)"],
		},
		loc_desc = {
			order = 2,
			type = "description",
			name = L["LocationPlus adds a movable player location panel, 2 datatext panels and more"],
		},		
		loc_toptop = {
			order = 3,
			type = "group",
			name = L["General"],
			guiInline = true,
			args = {
				loc_combat = {
					order = 1,
					name = L["Combat Hide"],
					desc = L["Show/Hide all panels when in combat"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
				lpx = {
					order = 2,
					type = "range",
					name = L["X Position"],
					desc = L["Moves the panels Horizontal."],
					min = 0, max = LocPlusUserResH(), step = 1,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPlusPosition() end,
				},
				lpy = {
					order = 3,
					type = "range",
					name = L["Y Position"],
					desc = L["Moves the panels Vertical."],
					min = 0, max = LocPlusUserResV(), step = 1,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPlusPosition() end,
				},	
			},
		},
		loc_general = {
			order = 4,
			type = "group",
			name = L["Options"],
			guiInline = true,
			args = {
				loc_datatxt = {
					order = 1,
					name = L["Datatext Panels"],
					desc = L["Enable/Disable Datatext Panels. Choose the value, in ElvUI DataTexts section"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; StaticPopup_Show("CONFIG_RL") end,					
				},
				loc_both = {
					order = 2,
					name = L["Zone and Subzone"],
					desc = L["Displays the main zone and the subzone in the location panel"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
				loc_dig = {
					order = 3,
					name = L["Detailed Coords"],
					desc = L["Adds 2 digits in the coords"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LCoordsDig() end,					
				},
			},
		},
		loc_gen_tt = {
			order = 5,
			type = "group",
			name = L["Tooltip"],
			guiInline = true,
			args = {
				loc_tt = {
					order = 1,
					name = L["Show/Hide tooltip"],
					type = 'toggle',
					width = "full",
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
				loc_ttst = {
					order = 3,
					name = L["Show Status"],
					desc = L["Enable/Disable status on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,			
				},
				loc_ttlvl = {
					order = 4,
					name = L["Show Level Range"],
					desc = L["Enable/Disable level range on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,				
				},
				loc_fish = {
					order = 5,
					name = L["Show Fishing level"],
					desc = L["Enable/Disable fishing level on the area."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,				
				},
				loc_ttreczones = {
					order = 6,
					name = L["Show Recommended Zones"],
					desc = L["Enable/Disable recommended zones on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,			
				},
				loc_ttinst = {
					order = 7,
					name = L["Show zone Dungeons"],
					desc = L["Enable/Disable dungeons in the zone, on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,				
				},
				loc_ttrecinst = {
					order = 8,
					name = L["Show Recommended Dungeons"],
					desc = L["Enable/Disable recommended dungeons on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,				
				},
				loc_ttheader = {
					order = 9,
					type = 'header',
					name = "",
				},
				loc_tthideraid = {
					order = 10,
					name = L["Hide Raid"],
					desc = L["Show/Hide raids or dungeons."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,			
				},
				loc_tthidepvp = {
					order = 11,
					name = L["Hide PvP"],
					desc = L["Show/Hide PvP zones, Arenas and BGs on recommended dungeons and zones."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,		
				},
				loc_tthint = {
					order = 12,
					name = L["Show Hints"],
					desc = L["Enable/Disable hints on Tooltip."],
					type = 'toggle',
					disabled = function() return not loc_db.loc_tt end,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,			
				},
			},
		},
		loc_layout = {
			order = 6,
			type = "group",
			name = L["Layout"],
			guiInline = true,
			args = {
				loc_shadow = {
					order = 1,
					name = L["Shadows"],
					desc = L["Enable/Disable layout with shadows."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; AllLocPanelsShadow(); AllLocPanelsShadowReposition(); end,					
				},
				loc_trans = {
					order = 2,
					name = L["Transparent"],
					desc = L["Enable/Disable transparent layout."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; AllLocPanelsTransparent(); E:LocPlusUpdate();  end,	
				},				
				loc_ht = {
					order = 3,
					name = L["Larger Location Panel"],
					desc = L["Adds 6 pixels at the Main Location Panel height."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPlusDTHeight() end,	
				},
				dtwidth = {
					order = 4,
					type = "range",
					name = L["DataTexts Width"],
					desc = L["Adjust the DataTexts Width."],
					min = 70, max = 200, step = 1,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPlusDTWidth() end,
				},
				dtheight = {
					order = 5,
					type = "range",
					name = L["All Panels Height"],
					desc = L["Adjust All Panels Height."],
					min = 18, max = 32, step = 1,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPlusDTHeight() end,
				},	
			},
		},
		loc_font = {
			order = 7,
			type = "group",
			name = L["Media"],
			guiInline = true,
			args = {
				lpfont = {
					type = "select", dialogControl = 'LSM30_Font',
					order = 1,
					name = L["Fonts"],
					desc = L["Choose font for the Location and Coords panels."],
					values = AceGUIWidgetLSMlists.font,	
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); end,
				},
				lpfontsize = {
					order = 2,
					name = L["Font Size"],
					desc = L["Set the font size."],
					type = "range",
					min = 6, max = 22, step = 1,
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); E:LocPlusUpdate(); end,
				},
				lpfontflags = {
					order = 3,
					name = L["Font Outline"],
					type = 'select',
					values = {
						['NONE'] = L['None'],
						['OUTLINE'] = 'OUTLINE',
						['MONOCHROME'] = 'MONOCHROME',
						['MONOCHROMEOUTLINE'] = 'MONOCROMEOUTLINE',
						['THICKOUTLINE'] = 'THICKOUTLINE',
					},
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); E:LocPlusUpdate(); end,
				},
			},
		},		
	},					
}